/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package dao;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author sis02
 */
public class WebServiceDAO {

    private static Connection conn;

    public static WebServiceDTO getDadosWS(String codigo_uf) {
        //Connection conn = null;
        ResultSet rs = null;
        try {
            conn = HsqlDAOFactory.createConnection();
        } catch (Exception ex) {
            Logger.getLogger(WebServiceDAO.class.getName()).log(Level.SEVERE, "Erro com a conexao do banco.", ex);
        }
        //String SQL = "SELECT * FROM CONFIGURACOES WHERE ID = ?";
        String SQL = "SELECT * FROM WEBSERVICE WHERE COD_ESTADO = ".concat("'" + codigo_uf + "'");
        //PreparedStatement pst = null;
        Statement stm = null;
        WebServiceDTO wsDto = null;
        if (conn != null) {
            try {
                stm = conn.createStatement();
                //pst = conn.prepareStatement(SQL);
                //pst.setString(1, id);
                //rs = pst.executeQuery();
                rs = stm.executeQuery(SQL);
                if (rs.next()) {
                    wsDto = new WebServiceDTO();
                    wsDto.setCodigoDoEstado(rs.getString("COD_ESTADO"));
                    wsDto.setArquivoCacertsGeradoParaCadaEstado(rs.getString("URL_CACERTS"));
                    wsDto.setCaminhoDoCertificadoDoCliente(rs.getString("URL_CERT_CLI"));
                    wsDto.setSenhaDoCertificadoDoCliente(rs.getString("PASSW_CERT_CLI"));
                    wsDto.setUrl(rs.getString("URL_WEBSERVICE"));
                   // System.out.println(wsDto.getUrl());
                }
            } catch (SQLException ex) {
                Logger.getLogger(WebServiceDAO.class.getName()).log(Level.SEVERE, "Erro com SQL.", ex);
            } finally {
                if (rs != null) {
                    try {
                        rs.close();
                    } catch (Exception e) {
                    }
                }
                if (stm != null) {
                    try {
                        stm.close();
                    } catch (Exception e) {
                    }
                }
                if (conn != null) {
                    try {
                        conn.createStatement().execute("shutdown");
                        conn.close();
                    } catch (Exception e) {
                    }
                }

            }
        }
        return wsDto;
    }
}
